DataFormatReaders.AccessorForReader
Date: 2016-12-04

com.fasterxml.jackson.databind.deser

## Class DataFormatReaders.AccessorForReader

- java.lang.Object
- - com.fasterxml.jackson.core.format.InputAccessor.Std
  - - com.fasterxml.jackson.databind.deser.DataFormatReaders.AccessorForReader

- All Implemented Interfaces:
    com.fasterxml.jackson.core.format.InputAccessor
  Enclosing class:
    DataFormatReaders

      protected class DataFormatReaders.AccessorForReader
      extends com.fasterxml.jackson.core.format.InputAccessor.Std

  We need sub-class here as well, to be able to access efficiently.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.core.format.InputAccessor

      `com.fasterxml.jackson.core.format.InputAccessor.Std`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.core.format.InputAccessor.Std

      `_buffer, _bufferedEnd, _bufferedStart, _in, _ptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFormatReaders.AccessorForReader(byte[] inputDocument)`
    `DataFormatReaders.AccessorForReader(byte[] inputDocument, int start, int len)`
    `DataFormatReaders.AccessorForReader(java.io.InputStream in, byte[] buffer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataFormatReaders.Match` | `createMatcher(ObjectReader match, com.fasterxml.jackson.core.format.MatchStrength matchStrength)`

    - ### Methods inherited from class com.fasterxml.jackson.core.format.InputAccessor.Std

      `createMatcher, hasMoreBytes, nextByte, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataFormatReaders.AccessorForReader

          public DataFormatReaders.AccessorForReader(java.io.InputStream in,
                                             byte[] buffer)

    - #### DataFormatReaders.AccessorForReader

          public DataFormatReaders.AccessorForReader(byte[] inputDocument)

    - #### DataFormatReaders.AccessorForReader

          public DataFormatReaders.AccessorForReader(byte[] inputDocument,
                                             int start,
                                             int len)

  - ### Method Detail

    - #### createMatcher

          public DataFormatReaders.Match createMatcher(ObjectReader match,
                                              com.fasterxml.jackson.core.format.MatchStrength matchStrength)